aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2014-03-08 18:14:57 -0300
committerSilvio Rhatto <rhatto@riseup.net>2014-03-08 18:14:57 -0300
commit20cc1ac9abd6688d1034a16b61635fcad7e6d792 (patch)
tree2114af9de2ffd5d4a7e45a555757f8a6988bdfad /share/hydractl
parentf38543090ddb792adb5be7af5946c87b28a8ac32 (diff)
downloadhydra-20cc1ac9abd6688d1034a16b61635fcad7e6d792.tar.gz
hydra-20cc1ac9abd6688d1034a16b61635fcad7e6d792.tar.bz2
Adding hydractl backup-restore-{munin,nagios}
Diffstat (limited to 'share/hydractl')
-rwxr-xr-xshare/hydractl/backup-restore-munin45
-rwxr-xr-xshare/hydractl/backup-restore-nagios52
2 files changed, 97 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-munin b/share/hydractl/backup-restore-munin
new file mode 100755
index 0000000..3e5fb30
--- /dev/null
+++ b/share/hydractl/backup-restore-munin
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+# Restore munin data.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Command line arguments
+BASENAME="`basename $0`"
+
+# Parameters.
+HOST="$1"
+SERVICE="munin"
+SERVICE_DIR="/var/lib/munin"
+SERVICE_USER="munin"
+SERVICE_GROUP="munin"
+
+# Set restore environment.
+hydra_backup_environment_service
+
+# TODO: $SERVICE_DIR
+
+# Remove current folder
+rm -rf $SERVICE_DIR
+
+# Copy site folder from backup.
+cp -a $RESTOREDIR/$SERVICE_DIR $SERVICE_DIR
+
+# Fix permissions.
+chown -R $SERVICE_USER.$SERVICE_GROUP $SERVICE_DIR
diff --git a/share/hydractl/backup-restore-nagios b/share/hydractl/backup-restore-nagios
new file mode 100755
index 0000000..833efd9
--- /dev/null
+++ b/share/hydractl/backup-restore-nagios
@@ -0,0 +1,52 @@
+#!/bin/bash
+#
+# Restore nagios data.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Command line arguments
+BASENAME="`basename $0`"
+
+# Parameters.
+HOST="$1"
+SERVICE="nagios3"
+SERVICE_DIR="/var/lib/nagios3"
+SERVICE_USER="nagios"
+SERVICE_GROUP="apache2"
+
+# Set restore environment.
+hydra_backup_environment_service
+
+# TODO: Backup $SERVICE_DIR
+
+# Stop services
+/etc/init.d/$service stop
+
+# Remove current folder
+rm -rf $SERVICE_DIR
+
+# Copy site folder from backup.
+cp -a $RESTOREDIR/$SERVICE_DIR $SERVICE_DIR
+
+# Fix permissions.
+chown -R $SERVICE_USER.$SERVICE_GROUP $SERVICE_DIR
+chown -R $SERVICE_USER.$SERVICE_USER $SERVICE_DIR/spool
+
+# Start services
+/etc/init.d/$service start